#
# spec file for package perl-Archive-Zip (Version 1.14)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  perl-Compress-Zlib unzip zip
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl perl-Compress-Zlib rpm zip

Name:         perl-Archive-Zip
Version:      1.14
Release:      4
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic License
Summary:      perl-Archive-Zip
Source:       Archive-Zip-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Perl module for creation and manipulation of ZIP-files



Authors:
--------
    Ned Kon <zperl@bike-nomad.com>

%prep
%setup -n Archive-Zip-%{version}

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/%{perl_vendorlib}/Archive/Zip.pod

%files
%defattr(-,root,root)
%doc Changes INSTALL  MANIFEST README TODO docs examples 
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/Archive
%{perl_vendorlib}/Archive/Zip
%{perl_vendorlib}/Archive/Zip.pm
%dir %{perl_vendorarch}/auto/Archive
%{perl_vendorarch}/auto/Archive/Zip
/usr/bin/crc32
/var/adm/perl-modules/perl-Archive-Zip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-Archive-Zip
* Fri Oct 29 2004 - choeger@suse.de
- Bugfix ID#47662 - VUL-0: perl-Archive-Zip zip file evasion problem
  update to most recent version 1.14
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
* Sun May 25 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Sat Feb 08 2003 - link@suse.de
- updated to 1.05
* Fri Jul 12 2002 - link@suse.de
- some tweaks of the spec file
* Fri Jul 12 2002 - link@suse.de
- updated to 1.01
* Tue May 07 2002 - link@suse.de
- updated to 1.00
* Thu Aug 16 2001 - ro@suse.de
- removed bogus Obsoletes
* Fri Apr 06 2001 - link@suse.de
- first package, v0.11
